package com.ruoyi.pt.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.pt.service.RemoteCallsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 远程推送算法平台数据
 *
 * @author wu
 * @since 2023/12/15 13:41
 */
@Api(tags = "远程推送算法平台数据⼊")
@RestController
@RequestMapping("/remoteCall")
public class RemoteCallsController extends BaseController {

    @Resource
    private RemoteCallsService remoteCallsService;

    /**
     * 获取公共accessToken
     *
     * @return 响应类
     */
    @ApiOperation(value = "获取公共accessToken")
    @GetMapping("/getAccessToken")
    public AjaxResult getAccessToken() {

        return success(remoteCallsService.getAccessToken());
    }

    /**
     * 事件进度推送接口
     *
     * @return 响应类
     */
    @ApiOperation(value = "事件进度推送接口")
    @PostMapping("/imports")
    public AjaxResult imports() {
        remoteCallsService.imports();
        return success();
    }


}
